﻿using GrapeCity.ActiveReports.Aspnetcore.Designer;
using GrapeCity.ActiveReports.PageReportModel;
using System.Collections.Generic;

namespace WebDesignerCustomStore.Implementation.CustomStore
{
	public static class CustomDataSetTemplatesStore
	{
		public static IDictionary<string, DataSetTemplate> Items { get; }

		static CustomDataSetTemplatesStore()
		{
			var items = new Dictionary<string, DataSetTemplate>();

			// Categories
			items.Add("Categories", new DataSetTemplate
			{
				DataSource = new DataSource
				{
					Name = "NorthwindCategories",
					ConnectionProperties = {
						DataProvider = "JSON",
						ConnectString = "jsondata={\"Data\":[{\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"}]};schemadata={\"$id\":\"http://example.com/example.json\",\"type\":\"object\",\"definitions\":{},\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"properties\":{\"Data\":{\"$id\":\"/properties/Data\",\"type\":\"array\",\"items\":{\"$id\":\"/properties/Data/items\",\"type\":\"object\",\"properties\":{\"CategoryId\":{\"$id\":\"/properties/Data/items/properties/CategoryId\",\"type\":\"integer\",\"title\":\"The CategoryId Schema\",\"default\":0,\"examples\":[123]},\"CategoryName\":{\"$id\":\"/properties/Data/items/properties/CategoryName\",\"type\":\"string\",\"title\":\"The CategoryName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"Description\":{\"$id\":\"/properties/Data/items/properties/Description\",\"type\":\"string\",\"title\":\"The Description Schema\",\"default\":0,\"examples\":[\"abc\"]},}}}}}",
					}
				},
				DataSet = new DataSet
				{
					Name = "Categories",
					Query = {
						CommandText = "$.Data[*]",
						DataSourceName = "NorthwindCategories"
					},
					Fields = {
						new Field {
							Name = "CategoryId",
							DataField = "CategoryId"
						},
						new Field {
							Name = "CategoryName",
							DataField = "CategoryName"
						},
						new Field {
							Name = "Description",
							DataField = "Description"
						}
					}
				}
			});

			// Employees
			items.Add("Employees", new DataSetTemplate
			{
				DataSource = new DataSource
				{
					Name = "NorthwindEmployees",
					ConnectionProperties = {
						DataProvider = "JSON",
						ConnectString = "jsondata={\"Data\":[{\"Id\":1,\"FirstName\":\"Nancy\",\"LastName\":\"Davolio\",\"Title\":\"Sales Representative\"},{\"Id\":2,\"FirstName\":\"Andrew\",\"LastName\":\"Fuller\",\"Title\":\"Vice President, Sales\"},{\"Id\":3,\"FirstName\":\"Janet\",\"LastName\":\"Leverling\",\"Title\":\"Sales Representative\"},{\"Id\":4,\"FirstName\":\"Margaret\",\"LastName\":\"Peacock\",\"Title\":\"Sales Representative\"},{\"Id\":5,\"FirstName\":\"Steven\",\"LastName\":\"Buchanan\",\"Title\":\"Sales Manager\"},{\"Id\":6,\"FirstName\":\"Michael\",\"LastName\":\"Suyama\",\"Title\":\"Sales Representative\"},{\"Id\":7,\"FirstName\":\"Robert\",\"LastName\":\"King\",\"Title\":\"Sales Representative\"},{\"Id\":8,\"FirstName\":\"Laura\",\"LastName\":\"Callahan\",\"Title\":\"Inside Sales Coordinator\"},{\"Id\":9,\"FirstName\":\"Anne\",\"LastName\":\"Dodsworth\",\"Title\":\"Sales Representative\"}]};schemadata={\"$id\":\"http://example.com/example.json\",\"type\":\"object\",\"definitions\":{},\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"properties\":{\"Data\":{\"$id\":\"/properties/Data\",\"type\":\"array\",\"items\":{\"$id\":\"/properties/Data/items\",\"type\":\"object\",\"properties\":{\"Id\":{\"$id\":\"/properties/Data/items/properties/Id\",\"type\":\"integer\",\"title\":\"The Id Schema\",\"default\":0,\"examples\":[123]},\"FirstName\":{\"$id\":\"/properties/Data/items/properties/FirstName\",\"type\":\"string\",\"title\":\"The FirstName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"LastName\":{\"$id\":\"/properties/Data/items/properties/LastName\",\"type\":\"string\",\"title\":\"The LastName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"Title\":{\"$id\":\"/properties/Data/items/properties/Title\",\"type\":\"string\",\"title\":\"The Title Schema\",\"default\":0,\"examples\":[\"abc\"]}}}}}}",
					}
				},
				DataSet = new DataSet
				{
					Name = "Employees",
					Query = {
						CommandText = "$.Data[*]",
						DataSourceName = "NorthwindEmployees"
					},
					Fields = {
						new Field {
							Name = "Id",
							DataField = "Id",
						},
						new Field {
							Name = "FirstName",
							DataField = "FirstName",
						},
						new Field {
							Name = "LastName",
							DataField = "LastName",
						},
						new Field {
							Name = "Title",
							DataField = "Title",
						}
					}
				}
			});

			// Invoice
			items.Add("Invoice", new DataSetTemplate
			{
				DataSource = new DataSource
				{
					Name = "NorthwindProducts",
					ConnectionProperties = {
						DataProvider = "JSON",
						ConnectString = "jsondata={\"Data\":[{\"ProductId\":1,\"ProductName\":\"Chai\",\"QuantityPerUnit\":\"10 boxes x 20 bags\",\"UnitPrice\":18,\"UnitsInStock\":39,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":2,\"ProductName\":\"Chang\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":19,\"UnitsInStock\":17,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":3,\"ProductName\":\"Aniseed Syrup\",\"QuantityPerUnit\":\"12 - 550 ml bottles\",\"UnitPrice\":10,\"UnitsInStock\":13,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":4,\"ProductName\":\"Chef Anton's Cajun Seasoning\",\"QuantityPerUnit\":\"48 - 6 oz jars\",\"UnitPrice\":22,\"UnitsInStock\":53,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":5,\"ProductName\":\"Chef Anton's Gumbo Mix\",\"QuantityPerUnit\":\"36 boxes\",\"UnitPrice\":21.35,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":6,\"ProductName\":\"Grandma's Boysenberry Spread\",\"QuantityPerUnit\":\"12 - 8 oz jars\",\"UnitPrice\":25,\"UnitsInStock\":120,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":7,\"ProductName\":\"Uncle Bob's Organic Dried Pears\",\"QuantityPerUnit\":\"12 - 1 lb pkgs.\",\"UnitPrice\":30,\"UnitsInStock\":15,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":8,\"ProductName\":\"Northwoods Cranberry Sauce\",\"QuantityPerUnit\":\"12 - 12 oz jars\",\"UnitPrice\":40,\"UnitsInStock\":6,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":9,\"ProductName\":\"Mishi Kobe Niku\",\"QuantityPerUnit\":\"18 - 500 g pkgs.\",\"UnitPrice\":97,\"UnitsInStock\":29,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":10,\"ProductName\":\"Ikura\",\"QuantityPerUnit\":\"12 - 200 ml jars\",\"UnitPrice\":31,\"UnitsInStock\":31,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":11,\"ProductName\":\"Queso Cabrales\",\"QuantityPerUnit\":\"1 kg pkg.\",\"UnitPrice\":21,\"UnitsInStock\":22,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":12,\"ProductName\":\"Queso Manchego La Pastora\",\"QuantityPerUnit\":\"10 - 500 g pkgs.\",\"UnitPrice\":38,\"UnitsInStock\":86,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":13,\"ProductName\":\"Konbu\",\"QuantityPerUnit\":\"2 kg box\",\"UnitPrice\":6,\"UnitsInStock\":24,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":14,\"ProductName\":\"Tofu\",\"QuantityPerUnit\":\"40 - 100 g pkgs.\",\"UnitPrice\":23.25,\"UnitsInStock\":35,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":15,\"ProductName\":\"Genen Shouyu\",\"QuantityPerUnit\":\"24 - 250 ml bottles\",\"UnitPrice\":15.5,\"UnitsInStock\":39,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":16,\"ProductName\":\"Pavlova\",\"QuantityPerUnit\":\"32 - 500 g boxes\",\"UnitPrice\":17.45,\"UnitsInStock\":29,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":17,\"ProductName\":\"Alice Mutton\",\"QuantityPerUnit\":\"20 - 1 kg tins\",\"UnitPrice\":39,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":18,\"ProductName\":\"Carnarvon Tigers\",\"QuantityPerUnit\":\"16 kg pkg.\",\"UnitPrice\":62.5,\"UnitsInStock\":42,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":19,\"ProductName\":\"Teatime Chocolate Biscuits\",\"QuantityPerUnit\":\"10 boxes x 12 pieces\",\"UnitPrice\":9.2,\"UnitsInStock\":25,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":20,\"ProductName\":\"Sir Rodney's Marmalade\",\"QuantityPerUnit\":\"30 gift boxes\",\"UnitPrice\":81,\"UnitsInStock\":40,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":21,\"ProductName\":\"Sir Rodney's Scones\",\"QuantityPerUnit\":\"24 pkgs. x 4 pieces\",\"UnitPrice\":10,\"UnitsInStock\":3,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":22,\"ProductName\":\"Gustaf's Knäckebröd\",\"QuantityPerUnit\":\"24 - 500 g pkgs.\",\"UnitPrice\":21,\"UnitsInStock\":104,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":23,\"ProductName\":\"Tunnbröd\",\"QuantityPerUnit\":\"12 - 250 g pkgs.\",\"UnitPrice\":9,\"UnitsInStock\":61,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":24,\"ProductName\":\"Guaraná Fantástica\",\"QuantityPerUnit\":\"12 - 355 ml cans\",\"UnitPrice\":4.5,\"UnitsInStock\":20,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":25,\"ProductName\":\"NuNuCa Nuß-Nougat-Creme\",\"QuantityPerUnit\":\"20 - 450 g glasses\",\"UnitPrice\":14,\"UnitsInStock\":76,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":26,\"ProductName\":\"Gumbär Gummibärchen\",\"QuantityPerUnit\":\"100 - 250 g bags\",\"UnitPrice\":31.23,\"UnitsInStock\":15,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":27,\"ProductName\":\"Schoggi Schokolade\",\"QuantityPerUnit\":\"100 - 100 g pieces\",\"UnitPrice\":43.9,\"UnitsInStock\":49,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":28,\"ProductName\":\"Rössle Sauerkraut\",\"QuantityPerUnit\":\"25 - 825 g cans\",\"UnitPrice\":45.6,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":29,\"ProductName\":\"Thüringer Rostbratwurst\",\"QuantityPerUnit\":\"50 bags x 30 sausgs.\",\"UnitPrice\":123.79,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":30,\"ProductName\":\"Nord-Ost Matjeshering\",\"QuantityPerUnit\":\"10 - 200 g glasses\",\"UnitPrice\":25.89,\"UnitsInStock\":10,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":31,\"ProductName\":\"Gorgonzola Telino\",\"QuantityPerUnit\":\"12 - 100 g pkgs\",\"UnitPrice\":12.5,\"UnitsInStock\":0,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":32,\"ProductName\":\"Mascarpone Fabioli\",\"QuantityPerUnit\":\"24 - 200 g pkgs.\",\"UnitPrice\":32,\"UnitsInStock\":9,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":33,\"ProductName\":\"Geitost\",\"QuantityPerUnit\":\"500 g\",\"UnitPrice\":2.5,\"UnitsInStock\":112,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":34,\"ProductName\":\"Sasquatch Ale\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":14,\"UnitsInStock\":111,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":35,\"ProductName\":\"Steeleye Stout\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":18,\"UnitsInStock\":20,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":36,\"ProductName\":\"Inlagd Sill\",\"QuantityPerUnit\":\"24 - 250 g  jars\",\"UnitPrice\":19,\"UnitsInStock\":112,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":37,\"ProductName\":\"Gravad lax\",\"QuantityPerUnit\":\"12 - 500 g pkgs.\",\"UnitPrice\":26,\"UnitsInStock\":11,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":38,\"ProductName\":\"Côte de Blaye\",\"QuantityPerUnit\":\"12 - 75 cl bottles\",\"UnitPrice\":263.5,\"UnitsInStock\":17,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":39,\"ProductName\":\"Chartreuse verte\",\"QuantityPerUnit\":\"750 cc per bottle\",\"UnitPrice\":18,\"UnitsInStock\":69,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":40,\"ProductName\":\"Boston Crab Meat\",\"QuantityPerUnit\":\"24 - 4 oz tins\",\"UnitPrice\":18.4,\"UnitsInStock\":123,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":41,\"ProductName\":\"Jack's New England Clam Chowder\",\"QuantityPerUnit\":\"12 - 12 oz cans\",\"UnitPrice\":9.65,\"UnitsInStock\":85,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":42,\"ProductName\":\"Singaporean Hokkien Fried Mee\",\"QuantityPerUnit\":\"32 - 1 kg pkgs.\",\"UnitPrice\":14,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":43,\"ProductName\":\"Ipoh Coffee\",\"QuantityPerUnit\":\"16 - 500 g tins\",\"UnitPrice\":46,\"UnitsInStock\":17,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":44,\"ProductName\":\"Gula Malacca\",\"QuantityPerUnit\":\"20 - 2 kg bags\",\"UnitPrice\":19.45,\"UnitsInStock\":27,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":45,\"ProductName\":\"Rogede sild\",\"QuantityPerUnit\":\"1k pkg.\",\"UnitPrice\":9.5,\"UnitsInStock\":5,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":46,\"ProductName\":\"Spegesild\",\"QuantityPerUnit\":\"4 - 450 g glasses\",\"UnitPrice\":12,\"UnitsInStock\":95,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":47,\"ProductName\":\"Zaanse koeken\",\"QuantityPerUnit\":\"10 - 4 oz boxes\",\"UnitPrice\":9.5,\"UnitsInStock\":36,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":48,\"ProductName\":\"Chocolade\",\"QuantityPerUnit\":\"10 pkgs.\",\"UnitPrice\":12.75,\"UnitsInStock\":15,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":49,\"ProductName\":\"Maxilaku\",\"QuantityPerUnit\":\"24 - 50 g pkgs.\",\"UnitPrice\":20,\"UnitsInStock\":10,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":50,\"ProductName\":\"Valkoinen suklaa\",\"QuantityPerUnit\":\"12 - 100 g bars\",\"UnitPrice\":16.25,\"UnitsInStock\":65,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":51,\"ProductName\":\"Manjimup Dried Apples\",\"QuantityPerUnit\":\"50 - 300 g pkgs.\",\"UnitPrice\":53,\"UnitsInStock\":20,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":52,\"ProductName\":\"Filo Mix\",\"QuantityPerUnit\":\"16 - 2 kg boxes\",\"UnitPrice\":7,\"UnitsInStock\":38,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":53,\"ProductName\":\"Perth Pasties\",\"QuantityPerUnit\":\"48 pieces\",\"UnitPrice\":32.8,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":54,\"ProductName\":\"Tourtière\",\"QuantityPerUnit\":\"16 pies\",\"UnitPrice\":7.45,\"UnitsInStock\":21,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":55,\"ProductName\":\"Pâté chinois\",\"QuantityPerUnit\":\"24 boxes x 2 pies\",\"UnitPrice\":24,\"UnitsInStock\":115,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":56,\"ProductName\":\"Gnocchi di nonna Alice\",\"QuantityPerUnit\":\"24 - 250 g pkgs.\",\"UnitPrice\":38,\"UnitsInStock\":21,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":57,\"ProductName\":\"Ravioli Angelo\",\"QuantityPerUnit\":\"24 - 250 g pkgs.\",\"UnitPrice\":19.5,\"UnitsInStock\":36,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":58,\"ProductName\":\"Escargots de Bourgogne\",\"QuantityPerUnit\":\"24 pieces\",\"UnitPrice\":13.25,\"UnitsInStock\":62,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":59,\"ProductName\":\"Raclette Courdavault\",\"QuantityPerUnit\":\"5 kg pkg.\",\"UnitPrice\":55,\"UnitsInStock\":79,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":60,\"ProductName\":\"Camembert Pierrot\",\"QuantityPerUnit\":\"15 - 300 g rounds\",\"UnitPrice\":34,\"UnitsInStock\":19,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":61,\"ProductName\":\"Sirop d'érable\",\"QuantityPerUnit\":\"24 - 500 ml bottles\",\"UnitPrice\":28.5,\"UnitsInStock\":113,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":62,\"ProductName\":\"Tarte au sucre\",\"QuantityPerUnit\":\"48 pies\",\"UnitPrice\":49.3,\"UnitsInStock\":17,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":63,\"ProductName\":\"Vegie-spread\",\"QuantityPerUnit\":\"15 - 625 g jars\",\"UnitPrice\":43.9,\"UnitsInStock\":24,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":64,\"ProductName\":\"Wimmers gute Semmelknödel\",\"QuantityPerUnit\":\"20 bags x 4 pieces\",\"UnitPrice\":33.25,\"UnitsInStock\":22,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":65,\"ProductName\":\"Louisiana Fiery Hot Pepper Sauce\",\"QuantityPerUnit\":\"32 - 8 oz bottles\",\"UnitPrice\":21.05,\"UnitsInStock\":76,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":66,\"ProductName\":\"Louisiana Hot Spiced Okra\",\"QuantityPerUnit\":\"24 - 8 oz jars\",\"UnitPrice\":17,\"UnitsInStock\":4,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":67,\"ProductName\":\"Laughing Lumberjack Lager\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":14,\"UnitsInStock\":52,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":68,\"ProductName\":\"Scottish Longbreads\",\"QuantityPerUnit\":\"10 boxes x 8 pieces\",\"UnitPrice\":12.5,\"UnitsInStock\":6,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":69,\"ProductName\":\"Gudbrandsdalsost\",\"QuantityPerUnit\":\"10 kg pkg.\",\"UnitPrice\":36,\"UnitsInStock\":26,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":70,\"ProductName\":\"Outback Lager\",\"QuantityPerUnit\":\"24 - 355 ml bottles\",\"UnitPrice\":15,\"UnitsInStock\":15,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":71,\"ProductName\":\"Flotemysost\",\"QuantityPerUnit\":\"10 - 500 g pkgs.\",\"UnitPrice\":21.5,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":72,\"ProductName\":\"Mozzarella di Giovanni\",\"QuantityPerUnit\":\"24 - 200 g pkgs.\",\"UnitPrice\":34.8,\"UnitsInStock\":14,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":73,\"ProductName\":\"Röd Kaviar\",\"QuantityPerUnit\":\"24 - 150 g jars\",\"UnitPrice\":15,\"UnitsInStock\":101,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":74,\"ProductName\":\"Longlife Tofu\",\"QuantityPerUnit\":\"5 kg pkg.\",\"UnitPrice\":10,\"UnitsInStock\":4,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":75,\"ProductName\":\"Rhönbräu Klosterbier\",\"QuantityPerUnit\":\"24 - 0.5 l bottles\",\"UnitPrice\":7.75,\"UnitsInStock\":125,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":76,\"ProductName\":\"Lakkalikööri\",\"QuantityPerUnit\":\"500 ml\",\"UnitPrice\":18,\"UnitsInStock\":57,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":77,\"ProductName\":\"Original Frankfurter grüne Soße\",\"QuantityPerUnit\":\"12 boxes\",\"UnitPrice\":13,\"UnitsInStock\":32,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"}]};schemadata={\"$id\":\"http://example.com/example.json\",\"type\":\"object\",\"definitions\":{},\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"properties\":{\"Data\":{\"$id\":\"/properties/Data\",\"type\":\"array\",\"items\":{\"$id\":\"/properties/Data/items\",\"type\":\"object\",\"properties\":{\"ProductId\":{\"$id\":\"/properties/Data/items/properties/ProductId\",\"type\":\"integer\",\"title\":\"The ProductId Schema\",\"default\":0,\"examples\":[123]},\"ProductName\":{\"$id\":\"/properties/Data/items/properties/ProductName\",\"type\":\"string\",\"title\":\"The ProductName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"QuantityPerUnit\":{\"$id\":\"/properties/Data/items/properties/QuantityPerUnit\",\"type\":\"string\",\"title\":\"The QuantityPerUnit Schema\",\"default\":0,\"examples\":[\"abc\"]},\"UnitPrice\":{\"$id\":\"/properties/Data/items/properties/UnitPrice\",\"type\":\"number\",\"title\":\"The UnitPrice Schema\",\"default\":0,\"examples\":[1.23]},\"UnitsInStock\":{\"$id\":\"/properties/Data/items/properties/UnitsInStock\",\"type\":\"integer\",\"title\":\"The UnitsInStock Schema\",\"default\":0,\"examples\":[123]},\"ReorderLevel\":{\"$id\":\"/properties/Data/items/properties/ReorderLevel\",\"type\":\"integer\",\"title\":\"The ReorderLevel Schema\",\"default\":0,\"examples\":[123]},\"Discontinued\":{\"$id\":\"/properties/Data/items/properties/Discontinued\",\"type\":\"boolean\",\"title\":\"The Discontinued Schema\",\"default\":0,\"examples\":[false]},\"CategoryId\":{\"$id\":\"/properties/Data/items/properties/CategoryId\",\"type\":\"integer\",\"title\":\"The CategoryId Schema\",\"default\":0,\"examples\":[123]},\"CategoryName\":{\"$id\":\"/properties/Data/items/properties/CategoryName\",\"type\":\"string\",\"title\":\"The CategoryName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"Description\":{\"$id\":\"/properties/Data/items/properties/Description\",\"type\":\"string\",\"title\":\"The Description Schema\",\"default\":0,\"examples\":[\"abc\"]},}}}}}",
					}
				},
				DataSet = new DataSet
				{
					Name = "Invoice",
					Query = {
						CommandText = "$.Data[*]",
						DataSourceName = "NorthwindProducts"
					},
					Fields = {
						new Field {
							DataField = "ProductId",
							Name = "ProductId",
						},
						new Field {
							DataField = "ProductName",
							Name = "ProductName",
						},
						new Field {
							DataField = "QuantityPerUnit",
							Name = "QuantityPerUnit",
						},
						new Field {
							DataField = "UnitPrice",
							Name = "UnitPrice",
						},
						new Field {
							DataField = "UnitsInStock",
							Name = "UnitsInStock",
						},
						new Field {
							DataField = "ReorderLevel",
							Name = "ReorderLevel",
						},
						new Field {
							DataField = "Discontinued",
							Name = "Discontinued",
						},
						new Field {
							DataField = "CategoryId",
							Name = "CategoryId",
						},
						new Field {
							DataField = "CategoryName",
							Name = "CategoryName",
						},
						new Field {
							DataField = "Description",
							Name = "Description",
						}
					}
				}
			});

			// Products
			items.Add("Products", new DataSetTemplate
			{
				DataSource = new DataSource
				{
					Name = "NorthwindProducts",
					ConnectionProperties = {
						DataProvider = "JSON",
						ConnectString = "jsondata={\"Data\":[{\"ProductId\":1,\"ProductName\":\"Chai\",\"QuantityPerUnit\":\"10 boxes x 20 bags\",\"UnitPrice\":18,\"UnitsInStock\":39,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":2,\"ProductName\":\"Chang\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":19,\"UnitsInStock\":17,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":3,\"ProductName\":\"Aniseed Syrup\",\"QuantityPerUnit\":\"12 - 550 ml bottles\",\"UnitPrice\":10,\"UnitsInStock\":13,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":4,\"ProductName\":\"Chef Anton's Cajun Seasoning\",\"QuantityPerUnit\":\"48 - 6 oz jars\",\"UnitPrice\":22,\"UnitsInStock\":53,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":5,\"ProductName\":\"Chef Anton's Gumbo Mix\",\"QuantityPerUnit\":\"36 boxes\",\"UnitPrice\":21.35,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":6,\"ProductName\":\"Grandma's Boysenberry Spread\",\"QuantityPerUnit\":\"12 - 8 oz jars\",\"UnitPrice\":25,\"UnitsInStock\":120,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":7,\"ProductName\":\"Uncle Bob's Organic Dried Pears\",\"QuantityPerUnit\":\"12 - 1 lb pkgs.\",\"UnitPrice\":30,\"UnitsInStock\":15,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":8,\"ProductName\":\"Northwoods Cranberry Sauce\",\"QuantityPerUnit\":\"12 - 12 oz jars\",\"UnitPrice\":40,\"UnitsInStock\":6,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":9,\"ProductName\":\"Mishi Kobe Niku\",\"QuantityPerUnit\":\"18 - 500 g pkgs.\",\"UnitPrice\":97,\"UnitsInStock\":29,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":10,\"ProductName\":\"Ikura\",\"QuantityPerUnit\":\"12 - 200 ml jars\",\"UnitPrice\":31,\"UnitsInStock\":31,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":11,\"ProductName\":\"Queso Cabrales\",\"QuantityPerUnit\":\"1 kg pkg.\",\"UnitPrice\":21,\"UnitsInStock\":22,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":12,\"ProductName\":\"Queso Manchego La Pastora\",\"QuantityPerUnit\":\"10 - 500 g pkgs.\",\"UnitPrice\":38,\"UnitsInStock\":86,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":13,\"ProductName\":\"Konbu\",\"QuantityPerUnit\":\"2 kg box\",\"UnitPrice\":6,\"UnitsInStock\":24,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":14,\"ProductName\":\"Tofu\",\"QuantityPerUnit\":\"40 - 100 g pkgs.\",\"UnitPrice\":23.25,\"UnitsInStock\":35,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":15,\"ProductName\":\"Genen Shouyu\",\"QuantityPerUnit\":\"24 - 250 ml bottles\",\"UnitPrice\":15.5,\"UnitsInStock\":39,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":16,\"ProductName\":\"Pavlova\",\"QuantityPerUnit\":\"32 - 500 g boxes\",\"UnitPrice\":17.45,\"UnitsInStock\":29,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":17,\"ProductName\":\"Alice Mutton\",\"QuantityPerUnit\":\"20 - 1 kg tins\",\"UnitPrice\":39,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":18,\"ProductName\":\"Carnarvon Tigers\",\"QuantityPerUnit\":\"16 kg pkg.\",\"UnitPrice\":62.5,\"UnitsInStock\":42,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":19,\"ProductName\":\"Teatime Chocolate Biscuits\",\"QuantityPerUnit\":\"10 boxes x 12 pieces\",\"UnitPrice\":9.2,\"UnitsInStock\":25,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":20,\"ProductName\":\"Sir Rodney's Marmalade\",\"QuantityPerUnit\":\"30 gift boxes\",\"UnitPrice\":81,\"UnitsInStock\":40,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":21,\"ProductName\":\"Sir Rodney's Scones\",\"QuantityPerUnit\":\"24 pkgs. x 4 pieces\",\"UnitPrice\":10,\"UnitsInStock\":3,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":22,\"ProductName\":\"Gustaf's Knäckebröd\",\"QuantityPerUnit\":\"24 - 500 g pkgs.\",\"UnitPrice\":21,\"UnitsInStock\":104,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":23,\"ProductName\":\"Tunnbröd\",\"QuantityPerUnit\":\"12 - 250 g pkgs.\",\"UnitPrice\":9,\"UnitsInStock\":61,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":24,\"ProductName\":\"Guaraná Fantástica\",\"QuantityPerUnit\":\"12 - 355 ml cans\",\"UnitPrice\":4.5,\"UnitsInStock\":20,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":25,\"ProductName\":\"NuNuCa Nuß-Nougat-Creme\",\"QuantityPerUnit\":\"20 - 450 g glasses\",\"UnitPrice\":14,\"UnitsInStock\":76,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":26,\"ProductName\":\"Gumbär Gummibärchen\",\"QuantityPerUnit\":\"100 - 250 g bags\",\"UnitPrice\":31.23,\"UnitsInStock\":15,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":27,\"ProductName\":\"Schoggi Schokolade\",\"QuantityPerUnit\":\"100 - 100 g pieces\",\"UnitPrice\":43.9,\"UnitsInStock\":49,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":28,\"ProductName\":\"Rössle Sauerkraut\",\"QuantityPerUnit\":\"25 - 825 g cans\",\"UnitPrice\":45.6,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":29,\"ProductName\":\"Thüringer Rostbratwurst\",\"QuantityPerUnit\":\"50 bags x 30 sausgs.\",\"UnitPrice\":123.79,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":30,\"ProductName\":\"Nord-Ost Matjeshering\",\"QuantityPerUnit\":\"10 - 200 g glasses\",\"UnitPrice\":25.89,\"UnitsInStock\":10,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":31,\"ProductName\":\"Gorgonzola Telino\",\"QuantityPerUnit\":\"12 - 100 g pkgs\",\"UnitPrice\":12.5,\"UnitsInStock\":0,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":32,\"ProductName\":\"Mascarpone Fabioli\",\"QuantityPerUnit\":\"24 - 200 g pkgs.\",\"UnitPrice\":32,\"UnitsInStock\":9,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":33,\"ProductName\":\"Geitost\",\"QuantityPerUnit\":\"500 g\",\"UnitPrice\":2.5,\"UnitsInStock\":112,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":34,\"ProductName\":\"Sasquatch Ale\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":14,\"UnitsInStock\":111,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":35,\"ProductName\":\"Steeleye Stout\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":18,\"UnitsInStock\":20,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":36,\"ProductName\":\"Inlagd Sill\",\"QuantityPerUnit\":\"24 - 250 g  jars\",\"UnitPrice\":19,\"UnitsInStock\":112,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":37,\"ProductName\":\"Gravad lax\",\"QuantityPerUnit\":\"12 - 500 g pkgs.\",\"UnitPrice\":26,\"UnitsInStock\":11,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":38,\"ProductName\":\"Côte de Blaye\",\"QuantityPerUnit\":\"12 - 75 cl bottles\",\"UnitPrice\":263.5,\"UnitsInStock\":17,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":39,\"ProductName\":\"Chartreuse verte\",\"QuantityPerUnit\":\"750 cc per bottle\",\"UnitPrice\":18,\"UnitsInStock\":69,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":40,\"ProductName\":\"Boston Crab Meat\",\"QuantityPerUnit\":\"24 - 4 oz tins\",\"UnitPrice\":18.4,\"UnitsInStock\":123,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":41,\"ProductName\":\"Jack's New England Clam Chowder\",\"QuantityPerUnit\":\"12 - 12 oz cans\",\"UnitPrice\":9.65,\"UnitsInStock\":85,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":42,\"ProductName\":\"Singaporean Hokkien Fried Mee\",\"QuantityPerUnit\":\"32 - 1 kg pkgs.\",\"UnitPrice\":14,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":43,\"ProductName\":\"Ipoh Coffee\",\"QuantityPerUnit\":\"16 - 500 g tins\",\"UnitPrice\":46,\"UnitsInStock\":17,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":44,\"ProductName\":\"Gula Malacca\",\"QuantityPerUnit\":\"20 - 2 kg bags\",\"UnitPrice\":19.45,\"UnitsInStock\":27,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":45,\"ProductName\":\"Rogede sild\",\"QuantityPerUnit\":\"1k pkg.\",\"UnitPrice\":9.5,\"UnitsInStock\":5,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":46,\"ProductName\":\"Spegesild\",\"QuantityPerUnit\":\"4 - 450 g glasses\",\"UnitPrice\":12,\"UnitsInStock\":95,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":47,\"ProductName\":\"Zaanse koeken\",\"QuantityPerUnit\":\"10 - 4 oz boxes\",\"UnitPrice\":9.5,\"UnitsInStock\":36,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":48,\"ProductName\":\"Chocolade\",\"QuantityPerUnit\":\"10 pkgs.\",\"UnitPrice\":12.75,\"UnitsInStock\":15,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":49,\"ProductName\":\"Maxilaku\",\"QuantityPerUnit\":\"24 - 50 g pkgs.\",\"UnitPrice\":20,\"UnitsInStock\":10,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":50,\"ProductName\":\"Valkoinen suklaa\",\"QuantityPerUnit\":\"12 - 100 g bars\",\"UnitPrice\":16.25,\"UnitsInStock\":65,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":51,\"ProductName\":\"Manjimup Dried Apples\",\"QuantityPerUnit\":\"50 - 300 g pkgs.\",\"UnitPrice\":53,\"UnitsInStock\":20,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":52,\"ProductName\":\"Filo Mix\",\"QuantityPerUnit\":\"16 - 2 kg boxes\",\"UnitPrice\":7,\"UnitsInStock\":38,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":53,\"ProductName\":\"Perth Pasties\",\"QuantityPerUnit\":\"48 pieces\",\"UnitPrice\":32.8,\"UnitsInStock\":0,\"ReorderLevel\":0,\"Discontinued\":true,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":54,\"ProductName\":\"Tourtière\",\"QuantityPerUnit\":\"16 pies\",\"UnitPrice\":7.45,\"UnitsInStock\":21,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":55,\"ProductName\":\"Pâté chinois\",\"QuantityPerUnit\":\"24 boxes x 2 pies\",\"UnitPrice\":24,\"UnitsInStock\":115,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":6,\"CategoryName\":\"Meat/Poultry\",\"Description\":\"Prepared meats\"},{\"ProductId\":56,\"ProductName\":\"Gnocchi di nonna Alice\",\"QuantityPerUnit\":\"24 - 250 g pkgs.\",\"UnitPrice\":38,\"UnitsInStock\":21,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":57,\"ProductName\":\"Ravioli Angelo\",\"QuantityPerUnit\":\"24 - 250 g pkgs.\",\"UnitPrice\":19.5,\"UnitsInStock\":36,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":58,\"ProductName\":\"Escargots de Bourgogne\",\"QuantityPerUnit\":\"24 pieces\",\"UnitPrice\":13.25,\"UnitsInStock\":62,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":59,\"ProductName\":\"Raclette Courdavault\",\"QuantityPerUnit\":\"5 kg pkg.\",\"UnitPrice\":55,\"UnitsInStock\":79,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":60,\"ProductName\":\"Camembert Pierrot\",\"QuantityPerUnit\":\"15 - 300 g rounds\",\"UnitPrice\":34,\"UnitsInStock\":19,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":61,\"ProductName\":\"Sirop d'érable\",\"QuantityPerUnit\":\"24 - 500 ml bottles\",\"UnitPrice\":28.5,\"UnitsInStock\":113,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":62,\"ProductName\":\"Tarte au sucre\",\"QuantityPerUnit\":\"48 pies\",\"UnitPrice\":49.3,\"UnitsInStock\":17,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":63,\"ProductName\":\"Vegie-spread\",\"QuantityPerUnit\":\"15 - 625 g jars\",\"UnitPrice\":43.9,\"UnitsInStock\":24,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":64,\"ProductName\":\"Wimmers gute Semmelknödel\",\"QuantityPerUnit\":\"20 bags x 4 pieces\",\"UnitPrice\":33.25,\"UnitsInStock\":22,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":5,\"CategoryName\":\"Grains/Cereals\",\"Description\":\"Breads, crackers, pasta, and cereal\"},{\"ProductId\":65,\"ProductName\":\"Louisiana Fiery Hot Pepper Sauce\",\"QuantityPerUnit\":\"32 - 8 oz bottles\",\"UnitPrice\":21.05,\"UnitsInStock\":76,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":66,\"ProductName\":\"Louisiana Hot Spiced Okra\",\"QuantityPerUnit\":\"24 - 8 oz jars\",\"UnitPrice\":17,\"UnitsInStock\":4,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"},{\"ProductId\":67,\"ProductName\":\"Laughing Lumberjack Lager\",\"QuantityPerUnit\":\"24 - 12 oz bottles\",\"UnitPrice\":14,\"UnitsInStock\":52,\"ReorderLevel\":10,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":68,\"ProductName\":\"Scottish Longbreads\",\"QuantityPerUnit\":\"10 boxes x 8 pieces\",\"UnitPrice\":12.5,\"UnitsInStock\":6,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":3,\"CategoryName\":\"Confections\",\"Description\":\"Desserts, candies, and sweet breads\"},{\"ProductId\":69,\"ProductName\":\"Gudbrandsdalsost\",\"QuantityPerUnit\":\"10 kg pkg.\",\"UnitPrice\":36,\"UnitsInStock\":26,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":70,\"ProductName\":\"Outback Lager\",\"QuantityPerUnit\":\"24 - 355 ml bottles\",\"UnitPrice\":15,\"UnitsInStock\":15,\"ReorderLevel\":30,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":71,\"ProductName\":\"Flotemysost\",\"QuantityPerUnit\":\"10 - 500 g pkgs.\",\"UnitPrice\":21.5,\"UnitsInStock\":26,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":72,\"ProductName\":\"Mozzarella di Giovanni\",\"QuantityPerUnit\":\"24 - 200 g pkgs.\",\"UnitPrice\":34.8,\"UnitsInStock\":14,\"ReorderLevel\":0,\"Discontinued\":false,\"CategoryId\":4,\"CategoryName\":\"Dairy Products\",\"Description\":\"Cheeses\"},{\"ProductId\":73,\"ProductName\":\"Röd Kaviar\",\"QuantityPerUnit\":\"24 - 150 g jars\",\"UnitPrice\":15,\"UnitsInStock\":101,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":8,\"CategoryName\":\"Seafood\",\"Description\":\"Seaweed and fish\"},{\"ProductId\":74,\"ProductName\":\"Longlife Tofu\",\"QuantityPerUnit\":\"5 kg pkg.\",\"UnitPrice\":10,\"UnitsInStock\":4,\"ReorderLevel\":5,\"Discontinued\":false,\"CategoryId\":7,\"CategoryName\":\"Produce\",\"Description\":\"Dried fruit and bean curd\"},{\"ProductId\":75,\"ProductName\":\"Rhönbräu Klosterbier\",\"QuantityPerUnit\":\"24 - 0.5 l bottles\",\"UnitPrice\":7.75,\"UnitsInStock\":125,\"ReorderLevel\":25,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":76,\"ProductName\":\"Lakkalikööri\",\"QuantityPerUnit\":\"500 ml\",\"UnitPrice\":18,\"UnitsInStock\":57,\"ReorderLevel\":20,\"Discontinued\":false,\"CategoryId\":1,\"CategoryName\":\"Beverages\",\"Description\":\"Soft drinks, coffees, teas, beers, and ales\"},{\"ProductId\":77,\"ProductName\":\"Original Frankfurter grüne Soße\",\"QuantityPerUnit\":\"12 boxes\",\"UnitPrice\":13,\"UnitsInStock\":32,\"ReorderLevel\":15,\"Discontinued\":false,\"CategoryId\":2,\"CategoryName\":\"Condiments\",\"Description\":\"Sweet and savory sauces, relishes, spreads, and seasonings\"}]};schemadata={\"$id\":\"http://example.com/example.json\",\"type\":\"object\",\"definitions\":{},\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"properties\":{\"Data\":{\"$id\":\"/properties/Data\",\"type\":\"array\",\"items\":{\"$id\":\"/properties/Data/items\",\"type\":\"object\",\"properties\":{\"ProductId\":{\"$id\":\"/properties/Data/items/properties/ProductId\",\"type\":\"integer\",\"title\":\"The ProductId Schema\",\"default\":0,\"examples\":[123]},\"ProductName\":{\"$id\":\"/properties/Data/items/properties/ProductName\",\"type\":\"string\",\"title\":\"The ProductName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"QuantityPerUnit\":{\"$id\":\"/properties/Data/items/properties/QuantityPerUnit\",\"type\":\"string\",\"title\":\"The QuantityPerUnit Schema\",\"default\":0,\"examples\":[\"abc\"]},\"UnitPrice\":{\"$id\":\"/properties/Data/items/properties/UnitPrice\",\"type\":\"number\",\"title\":\"The UnitPrice Schema\",\"default\":0,\"examples\":[1.23]},\"UnitsInStock\":{\"$id\":\"/properties/Data/items/properties/UnitsInStock\",\"type\":\"integer\",\"title\":\"The UnitsInStock Schema\",\"default\":0,\"examples\":[123]},\"ReorderLevel\":{\"$id\":\"/properties/Data/items/properties/ReorderLevel\",\"type\":\"integer\",\"title\":\"The ReorderLevel Schema\",\"default\":0,\"examples\":[123]},\"Discontinued\":{\"$id\":\"/properties/Data/items/properties/Discontinued\",\"type\":\"boolean\",\"title\":\"The Discontinued Schema\",\"default\":0,\"examples\":[false]},\"CategoryId\":{\"$id\":\"/properties/Data/items/properties/CategoryId\",\"type\":\"integer\",\"title\":\"The CategoryId Schema\",\"default\":0,\"examples\":[123]},\"CategoryName\":{\"$id\":\"/properties/Data/items/properties/CategoryName\",\"type\":\"string\",\"title\":\"The CategoryName Schema\",\"default\":0,\"examples\":[\"abc\"]},\"Description\":{\"$id\":\"/properties/Data/items/properties/Description\",\"type\":\"string\",\"title\":\"The Description Schema\",\"default\":0,\"examples\":[\"abc\"]},}}}}}",
					}
				},
				DataSet = new DataSet
				{
					Name = "Products",
					Query = {
						CommandText = "$.Data[*]",
						DataSourceName = "NorthwindProducts"
					},
					Fields = {
						new Field {
							DataField = "ProductId",
							Name = "ProductId",
						},
						new Field {
							DataField = "ProductName",
							Name = "ProductName",
						},
						new Field {
							DataField = "QuantityPerUnit",
							Name = "QuantityPerUnit",
						},
						new Field {
							DataField = "UnitPrice",
							Name = "UnitPrice",
						},
						new Field {
							DataField = "UnitsInStock",
							Name = "UnitsInStock",
						},
						new Field {
							DataField = "ReorderLevel",
							Name = "ReorderLevel",
						},
						new Field {
							DataField = "Discontinued",
							Name = "Discontinued",
						},
						new Field {
							DataField = "CategoryId",
							Name = "CategoryId",
						},
						new Field {
							DataField = "CategoryName",
							Name = "CategoryName",
						},
						new Field {
							DataField = "Description",
							Name = "Description",
						}
					}
				}
			});

			Items = items;
		}
	}
}